<?php
#=

/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Acadmie de Bordeaux)
Copyright 2008-2010, Fabien Nguyen, Fatondji Farad

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
include("../include/login.inc.php");
include("../include/get.inc.php");
connecte($host,$user,$mdp,$db);
$etab_id=(int) $_REQUEST['etab_id'];
//conflitCookie();
if ($etab_id==NULL || $etab_id<=0) header("Location: ../index.php");
createSession($etab_id);

//Vrif cohrence des versions de GiBii et du rfrentiel B2i
getparams();
$vv=verif_version();
if (!$vv) {
    alert("Incohrence entre votre version de GiSCCo ($VERSION_GIBII) et le rfrentiel du B2i ($VERSION_B2I)\nVous devez passer le script de conversion du rfrentiel sur la v. 4.7 avant de passer  la v. $VERSION_GIBII");
    exit;
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Ouverture de session GiSCCo<?php //print $MODULE; ?></title> 
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<script language="javascript" type="text/javascript" src="../include/md5.js"></script>
<script language="javascript" type="text/javascript" src="../include/login.js"></script>
<link rel="shortcut icon" href="../images/logo.ico">
<base target='_self'>
</head>


<?php
//######################### AUTHENTIFICATION ####################
//A ce niveau on connat le type d'authentification pour l'tablissement
//Par dfaut c'est 1 (base GiBii) dans les autres cas, on rcupre les donnes
//et paramtres correspondants
//###############################################################
$entree_SSO=0;
if ($etab_typauth_id>1 and $etab_typauth_id!=3) getparams_auth($etab_id);
switch ($etab_typauth_id)  {
  case 3:
       //On ne se retrouve ci qui si on se loge hors SSO, par exemple pour les comptes gestion et admin...
       //Pour le moment on laisse passer....
       //Donc on passe directement en base
       $ta=1;
       break;
       
  case 2:
       //LDAP : on passe par le formulaire GiBii
       //Rcup des donnes d'authentification
       //alert("authentification par LDAP\nLDAP_SERVER=$ldap_server\nLDAP_PORT=$ldap_port\nLDAP_DN=$ldap_basedn");
       $ta=2;
       break;
       
   default:
       //cas gnral Base authentification par GiBii localement
       //alert("authentification Interne");
   		$ta=1;
} //Fin du switch du type d'authentification

print "<body class='arial' onload=\"document.formlogin.s_login.focus();\">";
if ($MODULE=='Melia')
   $entete="GiSCCo version " . $VERSION_GIBII . " - Copyright 2008, 2012 - Fatondji Farad et Fabien NGUYEN<br />"; //bas sur GiBii 5.2.1";
else
   $entete="GiSCCo version " . $VERSION_GIBII . " - Copyright 2008, 2012 - Fatondji Farad et Fabien NGUYEN<br />"; //bas sur GiBii 5.2.1";

   //Formulaire de login interne, sinon on aura dgag avant...
   include("login_form.php");
 
   include("mention.php");
   // ----------------- fin du formulaire de login -----------------
	
	//gestion de l'affichage des stats en bas de page
	if ($MODULE=="GiSCCo") $tabniv=array(1=>'Maternelle',2=>'Ecole',3=>'Collge');
	else $tabniv=array(1=>' 1',2=>' 2',3=>' 3');

	//Affichage tablissement et nb lves ?
	//En-tte pour impression
	$nbel=getnbeleves($etab_id);
	Print "<p class='libelle_admin'>".$etab_nom."&nbsp;&nbsp;&nbsp;&nbsp;".
					 $etab_adresse."&nbsp;&nbsp;&nbsp;&nbsp;".$etab_codepostal.
					 "&nbsp;&nbsp;".$etab_ville."&nbsp;&nbsp;".date("d/m/Y");
	print "<p class='titre_petit'>$nbel lves</p>";

	for ($n=1;$n<=3;$n++) {
	  //Un graphique par niveau 
	  //$values=array();
	  $values='';
	  $pourcent='';
	  //$absc=array();
	  $absc='';
	  $tab_nbitems=array();	
	  if (strpos($etab_niveau,"$n")) {  //Uniquement niveau PRESENT DANS L'ETAB
		//print "niveau ".$n." ".strpos($etab_niveau,"$n");
		$titre="Pourcentage du Socle valid par classe (Niveau $tabniv[$n])";	
		$titreX="Items du niveau $tabniv[$n]";
		$titreY="Nb items valids par classe";
		//Recherche valeurs
		$resresult=query("SELECT eleves.classe_id,COUNT(resultat_id) as nbit, classes.divcod
			FROM resultats, items, eleves, classes
			WHERE resultats.item_id=items.item_id 	AND items.brevet_no=$n
			AND resultats.eleve_id=eleves.eleve_id 	AND eleves.etab_id=$etab_id
			AND eleves.annee='".$sess_ascol."' 	AND eleves.classe_id=classes.classe_id 
			AND classes.divcod<>'Classe_Test'
			GROUP BY eleves.classe_id ORDER BY eleves.classe_id");
		$resclass=query("SELECT classe_id, divcod FROM classes
			WHERE divgro='D' AND etab_id=$etab_id AND divcod<>'Classe_Test' ORDER BY divcod DESC");
		while (list($clid,$nbit,$divcod)=mysql_fetch_array($resresult)) $tab_nbitems[$clid]=$nbit;
		while (list($cl,$libcl)=mysql_fetch_array($resclass))  {
				$absc.=",".substr($libcl,0,5);
					if (isset($tab_nbitems[$cl]))
					{
					$values.=",".$tab_nbitems[$cl];
					$pc=intval($tab_nbitems[$cl]/30);
					$pourcent.=",".$pc."%";
					}
					else
					{
					$values.=",0";
					$pourcent.=",0";
					}
				}
		mysql_free_result($resresult);
		mysql_free_result($resclass);
		$values=substr($values,1);
		$pourcent=substr($pourcent,1);
		$absc=substr($absc,1);

	echo "<p class='sous_titre'><img src='../outils/graph_histo_items.php?niv=$n&titreX=".urlencode($titreX)."&titreY=".urlencode($titreY)."&titre=".urlencode($titre)."&absc=".$absc."&values=".$values."&pourcent=".$pourcent."'></p>";
	echo "<br><br>\n";

	 } //Fin test prsence tab
	}
//---------- fin de la gestion -----------
   print "</body>";
   print "</html>";
?>